using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.IO;
using System.Diagnostics;
using System.Collections.Specialized;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Collections;
using System.Data;
using System.Windows.Controls.Primitives;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            DataContext = from i in Enumerable.Range(0, 100)
                          select new MyObject()
                          {
                              ID = i,
                              Name = String.Format("Name{0}", i)
                           };
            gridview.RowValidating += new EventHandler<GridViewRowValidatingEventArgs>(gridview_RowValidating);
        }

        void gridview_RowValidating(object sender, GridViewRowValidatingEventArgs e)
        {
            
        }

        private void RadGridView_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            var target = ((System.Windows.Input.InputEventArgs)e).Device.Target as UIElement;

            if (target != null && target.ParentOfType<ScrollBar>() != null)
            {
                return;
            }

            MessageBox.Show("Test");
        }
    }

    public class MyObject
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
